Index: trunk/examples/extended/analysis/N03Con/GNUmakefile
===================================================================
--- trunk/examples/extended/analysis/N03Con/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/05/26 00:18:27 tkoi Exp $
+# $Id: GNUmakefile,v 1.2 2010/01/11 16:22:59 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -9,5 +9,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/analysis/N03Con/History
===================================================================
--- trunk/examples/extended/analysis/N03Con/History	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/History	(revision 1337)
@@ -15,4 +15,12 @@
      ----------------------------------------------------------
 
+12-05-10 J. Allison  exampleN03Con-V09-03-01
+- Introduced G4UIExecutive.
+
+31-03-10 T. Koi  exampleN03Con-V09-03-00 
+Update Physics list corresponding to the "exampleN03-V09-03-01"
+	include/ExN03PhysicsList.hh
+	src/ExN03PhysicsList.cc
+
 25-05-07 T. Koi  exampleN03Con-V08-03-01 
 
Index: trunk/examples/extended/analysis/N03Con/exampleN03Con.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/exampleN03Con.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/exampleN03Con.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: exampleN03Con.cc,v 1.2 2007/05/26 00:24:09 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: exampleN03Con.cc,v 1.4 2010/05/12 12:45:06 allison Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,14 +34,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
-
-#ifdef G4UI_USE_XM
-#include "G4UIXm.hh"
-#endif
-
-#ifdef G4UI_USE_WIN32
-#include "G4UIWin32.hh"
-#endif
 
 #include "Randomize.hh"
@@ -49,4 +39,8 @@
 #ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -84,28 +78,4 @@
   runManager->SetUserInitialization(physics);
 
-  G4UIsession* session=0;
-  
-  if (argc==1)   // Define UI session for interactive mode.
-    {
-      // G4UIterminal is a (dumb) terminal
-      //
-#if defined(G4UI_USE_XM)
-      session = new G4UIXm(argc,argv);
-#elif defined(G4UI_USE_WIN32)
-      session = new G4UIWin32();
-#elif defined(G4UI_USE_TCSH)
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif
-    }
-  
-#ifdef G4VIS_USE
-  // Visualization manager
-  //
-  G4VisManager* visManager = new G4VisExecutive;
-  visManager->Initialize();
-#endif
-    
   // Set user action classes
   //
@@ -127,23 +97,17 @@
   runManager->Initialize();
     
+#ifdef G4VIS_USE
+  // Visualization manager
+  //
+  G4VisManager* visManager = new G4VisExecutive;
+  visManager->Initialize();
+#endif
+    
   // Get the pointer to the User Interface manager
   //
-  G4UImanager* UI = G4UImanager::GetUIpointer();  
+  G4UImanager* UImanager = G4UImanager::GetUIpointer();  
 
-  if (session)   // Define UI session for interactive mode
+  if (argc!=1)   // batch mode
     {
-      // G4UIterminal is a (dumb) terminal
-      //
-      // UI->ApplyCommand("/control/execute vis.mac");    
-#if defined(G4UI_USE_XM) || defined(G4UI_USE_WIN32)
-      // Customize the G4UIXm,Win32 menubar with a macro file
-      //
-      // UI->ApplyCommand("/control/execute visTutor/gui.mac");
-#endif
-      session->SessionStart();
-      delete session;
-    }
-  else           // Batch mode
-    { 
 #ifdef G4VIS_USE
       visManager->SetVerboseLevel("quiet");
@@ -151,5 +115,13 @@
       G4String command = "/control/execute ";
       G4String fileName = argv[1];
-      UI->ApplyCommand(command+fileName);
+      UImanager->ApplyCommand(command+fileName);    
+    }
+  else
+    {  // interactive mode : define UI session
+#ifdef G4UI_USE
+      G4UIExecutive* ui = new G4UIExecutive(argc, argv);
+      ui->SessionStart();
+      delete ui;
+#endif
     }
 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorConstruction.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03DetectorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorMessenger.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03EventAction.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03EventAction.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventAction.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03EventActionMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventActionMessenger.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03PhysicsList.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03PhysicsList.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PhysicsList.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: ExN03PhysicsList.hh,v 1.2 2010/03/31 21:43:48 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -43,27 +43,19 @@
 class ExN03PhysicsList: public G4VUserPhysicsList
 {
-  public:
-    ExN03PhysicsList();
-   ~ExN03PhysicsList();
+public:
+  ExN03PhysicsList();
+  virtual ~ExN03PhysicsList();
 
-  protected:
-    // Construct particle and physics
-    void ConstructParticle();
-    void ConstructProcess();
+  // Construct particle and physics
+  void ConstructParticle();
+  void ConstructProcess();
  
-    void SetCuts();
+  void SetCuts();
+   
+private:
 
-   
-  protected:
-    // these methods Construct particles 
-    void ConstructBosons();
-    void ConstructLeptons();
-    void ConstructMesons();
-    void ConstructBaryons();
-
-  protected:
-    // these methods Construct physics processes and register them
-    void ConstructGeneral();
-    void ConstructEM();
+  // these methods Construct physics processes and register them
+  void ConstructDecay();
+  void ConstructEM();
 };
 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorAction.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorMessenger.hh,v 1.1 2007/05/26 00:18:27 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03RunAction.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03RunAction.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03RunAction.hh,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03SteppingAction.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03SteppingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingAction.hh,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/include/ExN03SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/analysis/N03Con/include/ExN03SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/include/ExN03SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingVerbose.hh,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/analysis/N03Con/src/ExN03DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorConstruction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03DetectorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorMessenger.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03EventAction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03EventAction.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03EventAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventAction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03EventActionMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03EventActionMessenger.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03PhysicsList.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03PhysicsList.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PhysicsList.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: ExN03PhysicsList.cc,v 1.2 2010/03/31 21:43:48 tkoi Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -36,5 +36,11 @@
 
 #include "G4ProcessManager.hh"
-#include "G4ParticleTypes.hh"
+
+#include "G4BosonConstructor.hh"
+#include "G4LeptonConstructor.hh"
+#include "G4MesonConstructor.hh"
+#include "G4BosonConstructor.hh"
+#include "G4BaryonConstructor.hh"
+#include "G4IonConstructor.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -42,6 +48,6 @@
 ExN03PhysicsList::ExN03PhysicsList():  G4VUserPhysicsList()
 {
- defaultCutValue = 1.0*mm;
- SetVerboseLevel(1);
+  defaultCutValue = 1.0*mm;
+  SetVerboseLevel(1);
 }
 
@@ -60,70 +66,19 @@
   // created in the program. 
 
-  ConstructBosons();
-  ConstructLeptons();
-  ConstructMesons();
-  ConstructBaryons();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void ExN03PhysicsList::ConstructBosons()
-{
-  // pseudo-particles
-  G4Geantino::GeantinoDefinition();
-  G4ChargedGeantino::ChargedGeantinoDefinition();
-
-  // gamma
-  G4Gamma::GammaDefinition();
-
-  // optical photon
-  G4OpticalPhoton::OpticalPhotonDefinition();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void ExN03PhysicsList::ConstructLeptons()
-{
-  // leptons
-  G4Electron::ElectronDefinition();
-  G4Positron::PositronDefinition();
-  G4MuonPlus::MuonPlusDefinition();
-  G4MuonMinus::MuonMinusDefinition();
-
-  G4NeutrinoE::NeutrinoEDefinition();
-  G4AntiNeutrinoE::AntiNeutrinoEDefinition();
-  G4NeutrinoMu::NeutrinoMuDefinition();
-  G4AntiNeutrinoMu::AntiNeutrinoMuDefinition();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void ExN03PhysicsList::ConstructMesons()
-{
- //  mesons
-  G4PionPlus::PionPlusDefinition();
-  G4PionMinus::PionMinusDefinition();
-  G4PionZero::PionZeroDefinition();
-  G4Eta::EtaDefinition();
-  G4EtaPrime::EtaPrimeDefinition();
-  G4KaonPlus::KaonPlusDefinition();
-  G4KaonMinus::KaonMinusDefinition();
-  G4KaonZero::KaonZeroDefinition();
-  G4AntiKaonZero::AntiKaonZeroDefinition();
-  G4KaonZeroLong::KaonZeroLongDefinition();
-  G4KaonZeroShort::KaonZeroShortDefinition();
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void ExN03PhysicsList::ConstructBaryons()
-{
-//  barions
-  G4Proton::ProtonDefinition();
-  G4AntiProton::AntiProtonDefinition();
-  G4Neutron::NeutronDefinition();
-  G4AntiNeutron::AntiNeutronDefinition();
-}
-
+  G4BosonConstructor  pBosonConstructor;
+  pBosonConstructor.ConstructParticle();
+
+  G4LeptonConstructor pLeptonConstructor;
+  pLeptonConstructor.ConstructParticle();
+
+  G4MesonConstructor pMesonConstructor;
+  pMesonConstructor.ConstructParticle();
+
+  G4BaryonConstructor pBaryonConstructor;
+  pBaryonConstructor.ConstructParticle();
+
+  G4IonConstructor pIonConstructor;
+  pIonConstructor.ConstructParticle(); 
+}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -133,5 +88,5 @@
   AddTransportation();
   ConstructEM();
-  ConstructGeneral();
+  ConstructDecay();
 }
 
@@ -142,15 +97,20 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
 #include "G4MuPairProduction.hh"
 
+#include "G4hMultipleScattering.hh"
 #include "G4hIonisation.hh"
+#include "G4hBremsstrahlung.hh"
+#include "G4hPairProduction.hh"
+
+#include "G4ionIonisation.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -172,30 +132,50 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);      
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,        -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3, 3);      
 
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);
-
+      pmanager->AddProcess(new G4eMultipleScattering,-1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,        -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,    -1, 3, 3);
+      pmanager->AddProcess(new G4eplusAnnihilation,   0,-1, 4);
+    
     } else if( particleName == "mu+" || 
                particleName == "mu-"    ) {
       //muon  
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
-      pmanager->AddProcess(new G4MuPairProduction,  -1, 4,4);       
+      pmanager->AddProcess(new G4MuMultipleScattering,-1, 1, 1);
+      pmanager->AddProcess(new G4MuIonisation,       -1, 2, 2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,   -1, 3, 3);
+      pmanager->AddProcess(new G4MuPairProduction,   -1, 4, 4);
+             
+    } else if( particleName == "proton" ||
+               particleName == "pi-" ||
+               particleName == "pi+"    ) {
+      //proton  
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4hBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4hPairProduction,     -1, 4, 4);       
      
-    } else if ((!particle->IsShortLived()) &&
+    } else if( particleName == "alpha" || 
+	       particleName == "He3" )     {
+      //alpha 
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4ionIonisation,       -1, 2, 2);
+     
+    } else if( particleName == "GenericIon" ) { 
+      //Ions 
+      pmanager->AddProcess(new G4hMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4ionIonisation,       -1, 2, 2);     
+      
+      } else if ((!particle->IsShortLived()) &&
 	       (particle->GetPDGCharge() != 0.0) && 
 	       (particle->GetParticleName() != "chargedgeantino")) {
       //all others charged particles except geantino
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4hIonisation,       -1, 2,2); 
-    }
+      pmanager->AddProcess(new G4hMultipleScattering,-1, 1, 1);
+      pmanager->AddProcess(new G4hIonisation,        -1, 2, 2);        
+    }     
   }
 }
@@ -205,8 +185,8 @@
 #include "G4Decay.hh"
 
-void ExN03PhysicsList::ConstructGeneral()
+void ExN03PhysicsList::ConstructDecay()
 {
   // Add Decay Process
-   G4Decay* theDecayProcess = new G4Decay();
+  G4Decay* theDecayProcess = new G4Decay();
   theParticleIterator->reset();
   while( (*theParticleIterator)() ){
@@ -237,4 +217,5 @@
   SetCutValue(defaultCutValue, "e-");
   SetCutValue(defaultCutValue, "e+");
+  SetCutValue(defaultCutValue, "proton");
 
   if (verboseLevel>0) DumpCutValuesTable();
Index: trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorAction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03PrimaryGeneratorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03PrimaryGeneratorMessenger.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03RunAction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03RunAction.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03RunAction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03SteppingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingAction.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/analysis/N03Con/src/ExN03SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03SteppingVerbose.cc,v 1.1 2007/05/26 00:18:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
